# [EXPERIMENTAL] Location Rule Sets

Endpoints used for managing location rule sets.
Location rules can be used to adjust stop times automatically based on the current stop, the previous stop, or broader operational context.
Each matching rule can multiply the base stop time, add a fixed duration, or do both.

 - [GET /settings/location-rule-sets](https://developer.conundra.eu/apis/plannings/planning-api/location-rule-sets/listlocationrulesets.md): Retrieve location rule sets using cursor-based paging (see the Cursor-based pagination documentation on the PTV Developer Portal for more details).
 - [POST /settings/location-rule-sets](https://developer.conundra.eu/apis/plannings/planning-api/location-rule-sets/createlocationruleset.md): Create a new location rule set
 - [GET /settings/location-rule-sets/{id}](https://developer.conundra.eu/apis/plannings/planning-api/location-rule-sets/getlocationruleset.md): Retrieves detailed information on the given location rule set.
 - [PUT /settings/location-rule-sets/{id}](https://developer.conundra.eu/apis/plannings/planning-api/location-rule-sets/upsertlocationruleset.md): Create or update a location rule set. A unique ID is required to identify the location rule set. Calling this endpoint with an existing ID will update the location rule set.
 - [DELETE /settings/location-rule-sets/{id}](https://developer.conundra.eu/apis/plannings/planning-api/location-rule-sets/deletelocationruleset.md): Delete a location rule set by its ID.
